Summary:        Utility for extracting and converting Microsoft icon and cursor files
Name:           icoutils
Version:        0.32.3
Release:        3%{?dist}
License:        GPLv3+
URL:            http://www.nongnu.org/icoutils/
Source0:        http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.bz2

Patch3000:         0001-wrestool-Fix-get_resource_id_quoted-to-return-heap-a.patch

BuildRequires:  autoconf automake
BuildRequires:  gcc make
BuildRequires:  gettext perl-generators
BuildRequires:  libpng-devel

Supplements: (kio-extras and wine-core)

Provides:       bundled(gnulib)

%description
The icoutils are a set of programs for extracting and converting images in
Microsoft Windows icon and cursor files. These files usually have the
extension .ico or .cur, but they can also be embedded in executables or
libraries.

%prep
%autosetup -p1

for f in AUTHORS NEWS; do
  iconv -f ISO88592 -t UTF8 < $f > $f.utf8 && \
  touch -r $f $f.utf8 && \
  mv $f.utf8 $f 
done

%build
autoreconf -i

%configure
%make_build

%install
%make_install
%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%doc README AUTHORS NEWS TODO ChangeLog
%{_bindir}/extresso
%{_bindir}/genresscript
%{_bindir}/icotool
%{_bindir}/wrestool
%{_mandir}/man1/*.1*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.32.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.32.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 - Yi Lin <nilusyi@tencent.com> - 0.32.3-1
- Initial package.
